import threading
import Camera 
import Gui_Grid
import Image_Processing
import gpio_control  
import Still_Image_Processing

#Instanz zur Endbild-Bearbeitung starten
still_image_processing = Still_Image_Processing.Still_Image_Processing()

#Kamerainstanz starten
camera = Camera.Camera(still_image_processing)
camera.start_camera()

#Instanz zur Vorschaubild-Bearbeitung starten
preview_processing = Image_Processing.Image_Processing()

#GPIO-Überwachung starten
gpio_instance = gpio_control.GPIOControl(camera)
gpio_thread = threading.Thread(target=gpio_instance.start)
gpio_thread.start()

#Benutzeroberfläche starten
gui = Gui_Grid.User_Interface(camera, preview_processing, gpio_instance, still_image_processing)
gui.window_settings()
gui.build_widgets()
gui.update_video_widget()
gui.start_interface()
